package com.yaohun.aulivecode.database;

import com.yaohun.aulivecode.Main;
import com.yaohun.aulivecode.util.SqlUtil;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.sql.ResultSet;
import java.util.*;

public class SqlManager {


    public String table = "zhubo_data";

    // 创建数据库表格格式
    public void createTable() {
        // 数据库结构组成
        // 主播名字(VARCHAR)  抖音号(VARCHAR)  直播流水(VARCHAR) 运营礼物(VARCHAR)
        String s = "CREATE TABLE IF NOT EXISTS "+table+"(" +
                "    zhubo VARCHAR(32) NOT NULL," +
                "    tiktok VARCHAR(32) NOT NULL," +
                "    giftspectator INT NOT NULL," +
                "    giftadmini INT NOT NULL," +
                "    PRIMARY KEY(id)" +
                ") ENGINE = InnoDB";
        getSQL().openConnection();
        getSQL().updateSQL(s);
        getSQL().closeConnection();
    }

    // 创建主播档案数据
    public void createAnchorProfile(String zhubo,String tiktok){
        // MySQL.update("INSERT INTO "+ table+" VALUES ('" + p.getName() + "','" + p.getUniqueId() + "','默认','默认');");
        String set = "INSERT INTO "+table+" (`zhubo`, `tiktok`, `giftspectator`, `giftadmini`) VALUES ('%zhubo%', '%tiktok%', '%giftspectator%', '%giftadmini%')";
        getSQL().openConnection();
        set = set.replace("%zhubo%", zhubo).replace("%tiktok%", tiktok);
        List<Integer> integers = new ArrayList<>();
        for (int i = 1;i <= 31;i++){
            integers.add(i);
        }
        StringJoiner joiner = new StringJoiner(",");
        for (int s : integers) {
            joiner.add(String.valueOf(s));
        }
        set = set.replace("%giftspectator%", joiner.toString());
        set = set.replace("%giftadmini%", joiner.toString());
        getSQL().updateSQL(set);
        getSQL().closeConnection();
        Bukkit.getConsoleSender().sendMessage("§6[主播数据] §a主播档案创建。");
    }

    public int getPlayerData(String playerName) {
        String select = "SELECT * FROM recharge WHERE player = '%playerName%'";
        try {
            getSQL().openConnection();
            ResultSet set = getSQL().querySQL(select.replace("%playerName%", playerName));
            if (set.next()) {
                return set.getInt("point");
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            getSQL().closeConnection();
        }
        return -1;
    }

    private SqlUtil getSQL() {
        return Main.sqlUtil;
    }
}
